Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.parser
Class ByteArrayParser

    java.lang.Object
      org.apache.xmlrpc.parser.TypeParserImpl
          org.apache.xmlrpc.parser.ByteArrayParser

All Implemented Interfaces:
  TypeParser, org.xml.sax.ContentHandler

Direct Known Subclasses:
  SerializableParser

    public class ByteArrayParser

extends TypeParserImpl

A parser for base64 elements.

Constructor Summary
`ByteArrayParser()`

Method Summary
`void` | `characters(char[] pChars, int pStart, int pLength)`
`void` | `endElement(java.lang.String pURI, java.lang.String pLocalName, java.lang.String pQName)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String pURI, java.lang.String pLocalName, java.lang.String pQName, org.xml.sax.Attributes pAttrs)`

Methods inherited from class org.apache.xmlrpc.parser.TypeParserImpl
`endDocument, endPrefixMapping, getDocumentLocator, getResult, ignorableWhitespace, isEmpty, processingInstruction, setDocumentLocator, setResult, skippedEntity, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayParser

    public ByteArrayParser()

Method Detail

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startDocument` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] pChars,
                           int pStart,
                           int pLength)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `TypeParserImpl`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String pURI,
                           java.lang.String pLocalName,
                           java.lang.String pQName)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String pURI,
                             java.lang.String pLocalName,
                             java.lang.String pQName,
                             org.xml.sax.Attributes pAttrs)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.